4Suite™ API Documentation

# ► Module Ft.Server.Client.Core.XPathDocumentDefinitionClient

4Suite server document definitions: contain system and user metadata for managed documents WWW: http://4suite.org e-mail: support@4suite.org
Copyright (c) 2001 Fourthought, Inc. USA. All Rights Reserved.
See http://4suite.org/COPYRIGHT for license and copyright information

Classes: XPathDocumentDefinitionClient

## Classes

class XPathDocumentDefinitionClient(Ft.Server.Client.Core.DocumentDefinitionClient.DocumentDefinitionClient)

### Methods

getNsMap(self)
Get the namespace mapping for this document deifnition
getRdfMaps(self)
Get all of the RDF mappings for this document definition
setNsMap(self, newNss)
Set the namespace mappings of this document definition
setRdfMaps(self, newMaps)
Set the RDF mappings for this documetn definition

### Methods inherited from class Ft.Server.Client.Core.DocumentDefinitionClient.DocumentDefinitionClient

addBaseDocumentDefinition, getBaseDefinitions, getCreationParams, getDerivedDefinitions, getMetaDocumentUris, removeBaseDocumentDefinition, setCreationParams

### Methods inherited from class Ft.Server.Client.Core.XmlDocumentClient.XmlDocumentClient

expandXLink, getDocumentDefinition, setDocumentDefinition

### Methods inherited from class Ft.Server.Client.Core.RawFileClient.RawFileClient

asSchematron, asStylesheet, getContentResource, getMetaDataResource, setImt

### Methods inherited from class Ft.Server.Client.Core.ResourceMetaDataClient.ResourceMetaDataClient

__cmp__, __hash__, __init__, __str__, addAcl, addAlias, addLiteralProperty, addResourceProperty, applyXslt, asDom, delete, fetchResource, getAbsolutePath, getAbsolutePathAsUri, getAcl, getAclIdent, getAclIdentifiers, getAliases, getBasePath, getContent, getContentSlice, getCreationDate, getDisplayPath, getImt, getLastModifiedDate, getModel, getName, getOwner, getParent, getPath, getResourceType, getRoot, getSize, getStatementsAbout, getStatementsGeneratedBy, getValidationInfo, hasResource, inheritAcl, isResourceType, markTemporary, pprint, removeAcl, removeAlias, removeLiteralProperty, removeResourceProperty, setAcl, setContent, setOwner, toXPathContext, verifyAcl, xUpdate